[MOD]Replace shairport with shairport-sync (ios 9 compatibil

Suggestions/requests/ideas for RuneAudio core features and functions

Re: [MOD]Replace shairport with shairport-sync (ios 9 compat

Postby daymz » 15 Dec 2017, 03:56

Thanks janui. But I am running a RPi 1 image, dated 2014. Many, many, many libs are outdated by today's standards. I tried what you did, got into bad depedencies nightmare and system ended up not booting. Partial (pacman -Sy) updates are not supported by ArchLinux due to the rolling window repos. (limited retention and therefore backward compatibility). But, I still love the speed at which Arch (and therefore RuneAudio) boots.
daymz
 
Posts: 19
Joined: 25 Feb 2015, 02:19

Re: [MOD]Replace shairport with shairport-sync (ios 9 compat

Postby janui » 15 Dec 2017, 10:27

Hi daymz,
Yes, I know all about the package dependencies in the arch6h version of Rune for the Pi1 model. Even so, I have tried the shairport-sync installation on my latest build for this platform.
Unfortunately, I can only confirm your findings, shairport-sync will not work with Rune on a RPi 1.
janui

P.S. The main package which causes the dependency problems is openssl, an upgraded version is required for many newer packages. The non-standard packages built especially for Rune are built against an old version of openssl. In order to get everything to work all these non-standard packages will need to be rebuilt after upgrading openssl (and all the other installed packages which use openssl). It is also possible that the non-standard packages for Rune would need to be upgraded or replaced with the equivalent standard versions in order to be compatable with the rest. All in all quite a complex process.
Last edited by janui on 18 Dec 2017, 21:20, edited 2 times in total.
User avatar
janui
 
Posts: 682
Joined: 20 Dec 2014, 12:55
Location: Ollanda

Re: [MOD]Replace shairport with shairport-sync (ios 9 compat

Postby daymz » 18 Dec 2017, 19:19

Thanks for trying it out too janui. Unfortunate you experienced the same, but at least we both tried.

Do you know if there are any plans of releasing a new build for Rpi1, with recent updates (MPD, samba, Shairport-Sync, Umpdcli, and of course OS/libs/etc.)? Or is this a closed case? I can definitely see how much work this would represent, with unknown chances of success (or the test you performed showed it was just a worthless effort?)

janui wrote:Hi daymz,
Yes, I know all about the package dependencies in the arch6h version or Rune for the Pi1 model. Even so, I have tried the shairport-sync installation on my latest build for this platform.
Unfortunately, I can only confirm your findings, shairport-sync will not work with Rune on a RPi 1.
janui

P.S. The main package which causes the dependency problems is openssl, an upgraded version is required for many newer packages. The non-standard packages built especially for Rune are built against an old version of openssl. In order to get everything to work all these non-standard packages will need to be rebuilt after upgrading openssl (and all the other installed packages which use openssl). It is also possible that the non-standard packages for Rune would need to be upgraded or replaced with the equivalent standard versions in order to be compatable with the rest. All in all quite a complex process.
daymz
 
Posts: 19
Joined: 25 Feb 2015, 02:19

Re: [MOD]Replace shairport with shairport-sync (ios 9 compat

Postby janui » 18 Dec 2017, 19:57

Hoi daymz,
For an image with updated Kernel, Samba, MPD and quite a lot of the other Linux utilities see here: raspberry-pi-zero-support-in-0-4-t3711-70.html#p20577
It’s not perfect, but it is an improvement.
I don’t know of any plans (with dates) for an improved official arch6h release.
janui
User avatar
janui
 
Posts: 682
Joined: 20 Dec 2014, 12:55
Location: Ollanda

support RuneAudio Donate with PayPal

Previous

Return to Feature request

Who is online

Users browsing this forum: No registered users and 0 guests
cron